Index: loop-init.c
===================================================================
--- loop-init.c	(revision 189457)
+++ loop-init.c	(working copy)
@@ -28,7 +28,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "basic-block.h"
 #include "cfgloop.h"
 #include "tree-pass.h"
-#include "timevar.h"
 #include "flags.h"
 #include "df.h"
 #include "ggc.h"
Index: loop-unswitch.c
===================================================================
--- loop-unswitch.c	(revision 189457)
+++ loop-unswitch.c	(working copy)
@@ -29,6 +29,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "cfgloop.h"
 #include "params.h"
 #include "expr.h"
+#include "dumpfile.h"
 
 /* This pass moves constant conditions out of loops, duplicating the loop
    in progress, i.e. this code:
Index: tree-into-ssa.c
===================================================================
--- tree-into-ssa.c	(revision 189457)
+++ tree-into-ssa.c	(working copy)
@@ -29,15 +29,12 @@ along with GCC; see the file COPYING3.  If not see
 #include "langhooks.h"
 #include "basic-block.h"
 #include "function.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "bitmap.h"
 #include "tree-flow.h"
 #include "gimple.h"
 #include "tree-inline.h"
-#include "timevar.h"
 #include "hashtab.h"
-#include "tree-dump.h"
 #include "tree-pass.h"
 #include "cfgloop.h"
 #include "domwalk.h"
Index: dse.c
===================================================================
--- dse.c	(revision 189457)
+++ dse.c	(working copy)
@@ -37,7 +37,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "flags.h"
 #include "df.h"
 #include "cselib.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "alloc-pool.h"
 #include "alias.h"
Index: tree-ssa-threadedge.c
===================================================================
--- tree-ssa-threadedge.c	(revision 189457)
+++ tree-ssa-threadedge.c	(working copy)
@@ -30,9 +30,8 @@ along with GCC; see the file COPYING3.  If not see
 #include "cfgloop.h"
 #include "function.h"
 #include "timevar.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "tree-flow.h"
-#include "tree-pass.h"
 #include "tree-ssa-propagate.h"
 #include "langhooks.h"
 #include "params.h"
Index: dwarf2out.c
===================================================================
--- dwarf2out.c	(revision 189457)
+++ dwarf2out.c	(working copy)
@@ -91,8 +91,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "cgraph.h"
 #include "input.h"
 #include "gimple.h"
-#include "tree-pass.h"
-#include "tree-flow.h"
+#include "dumpfile.h"
 #include "opts.h"
 
 static void dwarf2out_source_line (unsigned int, const char *, int, bool);
Index: cprop.c
===================================================================
--- cprop.c	(revision 189457)
+++ cprop.c	(working copy)
@@ -41,7 +41,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "cselib.h"
 #include "intl.h"
 #include "obstack.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "hashtab.h"
 #include "df.h"
Index: tree-ssa-forwprop.c
===================================================================
--- tree-ssa-forwprop.c	(revision 189457)
+++ tree-ssa-forwprop.c	(working copy)
@@ -25,11 +25,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "tm_p.h"
 #include "basic-block.h"
-#include "timevar.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
 #include "tree-pass.h"
-#include "tree-dump.h"
 #include "langhooks.h"
 #include "flags.h"
 #include "gimple.h"
Index: tree-ssa-tail-merge.c
===================================================================
--- tree-ssa-tail-merge.c	(revision 189457)
+++ tree-ssa-tail-merge.c	(working copy)
@@ -190,16 +190,18 @@ along with GCC; see the file COPYING3.  If not see
 #include "flags.h"
 #include "function.h"
 #include "tree-flow.h"
-#include "timevar.h"
 #include "bitmap.h"
 #include "tree-ssa-alias.h"
 #include "params.h"
-#include "tree-pretty-print.h"
 #include "hashtab.h"
 #include "gimple-pretty-print.h"
 #include "tree-ssa-sccvn.h"
 #include "tree-dump.h"
 
+/* ??? This currently runs as part of tree-ssa-pre.  Why is this not
+   a stand-alone GIMPLE pass?  */
+#include "tree-pass.h"
+
 /* Describes a group of bbs with the same successors.  The successor bbs are
    cached in succs, and the successor edge flags are cached in succ_flags.
    If a bb has the EDGE_TRUE/VALSE_VALUE flags swapped compared to succ_flags,
Index: fwprop.c
===================================================================
--- fwprop.c	(revision 189457)
+++ fwprop.c	(working copy)
@@ -26,7 +26,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "diagnostic-core.h"
 
 #include "sparseset.h"
-#include "timevar.h"
 #include "rtl.h"
 #include "tm_p.h"
 #include "insn-config.h"
Index: tree-flow-inline.h
===================================================================
--- tree-flow-inline.h	(revision 189457)
+++ tree-flow-inline.h	(working copy)
@@ -1271,6 +1271,9 @@ make_ssa_name (tree var, gimple stmt)
    is not BITS_PER_UNIT-aligned.
    VALUEIZE if non-NULL is used to valueize SSA names.  It should return
    its argument or a constant if the argument is known to be constant.  */
+/* ??? This is a static inline here to avoid the overhead of the indirect calls
+   to VALUEIZE.  But is this overhead really that significant?  And should we
+   perhaps just rely on WHOPR to specialize the function?  */
 
 static inline tree
 get_addr_base_and_unit_offset_1 (tree exp, HOST_WIDE_INT *poffset,
Index: tree-ssa-sccvn.c
===================================================================
--- tree-ssa-sccvn.c	(revision 189457)
+++ tree-ssa-sccvn.c	(working copy)
@@ -25,21 +25,15 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm.h"
 #include "tree.h"
 #include "basic-block.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-inline.h"
 #include "tree-flow.h"
 #include "gimple.h"
-#include "tree-dump.h"
-#include "timevar.h"
-#include "fibheap.h"
+#include "dumpfile.h"
 #include "hashtab.h"
-#include "tree-iterator.h"
 #include "alloc-pool.h"
-#include "tree-pass.h"
 #include "flags.h"
 #include "bitmap.h"
-#include "langhooks.h"
 #include "cfgloop.h"
 #include "params.h"
 #include "tree-ssa-propagate.h"
Index: cfgcleanup.c
===================================================================
--- cfgcleanup.c	(revision 189457)
+++ cfgcleanup.c	(working copy)
@@ -38,7 +38,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "rtl.h"
 #include "hard-reg-set.h"
 #include "regs.h"
-#include "timevar.h"
 #include "insn-config.h"
 #include "flags.h"
 #include "recog.h"
Index: tree-ssa-loop-niter.c
===================================================================
--- tree-ssa-loop-niter.c	(revision 189457)
+++ tree-ssa-loop-niter.c	(working copy)
@@ -25,13 +25,11 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "tm_p.h"
 #include "basic-block.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "intl.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "cfgloop.h"
-#include "tree-pass.h"
 #include "ggc.h"
 #include "tree-chrec.h"
 #include "tree-scalar-evolution.h"
Index: ipa.c
===================================================================
--- ipa.c	(revision 189457)
+++ ipa.c	(working copy)
@@ -24,7 +24,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm.h"
 #include "cgraph.h"
 #include "tree-pass.h"
-#include "timevar.h"
 #include "gimple.h"
 #include "ggc.h"
 #include "flags.h"
Index: tree-tailcall.c
===================================================================
--- tree-tailcall.c	(revision 189457)
+++ tree-tailcall.c	(working copy)
@@ -27,7 +27,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "basic-block.h"
 #include "function.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
 #include "gimple-pretty-print.h"
 #include "except.h"
 #include "tree-pass.h"
Index: print-rtl.c
===================================================================
--- print-rtl.c	(revision 189457)
+++ print-rtl.c	(working copy)
@@ -42,7 +42,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "diagnostic.h"
 #include "tree-pretty-print.h"
 #include "cselib.h"
-#include "tree-pass.h"
+#include "dumpfile.h"	/* for dump_flags */
 #include "dwarf2out.h"
 #endif
 
Index: ipa-inline-transform.c
===================================================================
--- ipa-inline-transform.c	(revision 189457)
+++ ipa-inline-transform.c	(working copy)
@@ -36,7 +36,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "langhooks.h"
 #include "cgraph.h"
-#include "timevar.h"
 #include "intl.h"
 #include "coverage.h"
 #include "ggc.h"
Index: ipa-split.c
===================================================================
--- ipa-split.c	(revision 189457)
+++ ipa-split.c	(working copy)
@@ -85,7 +85,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree-flow.h"
 #include "tree-pass.h"
 #include "flags.h"
-#include "timevar.h"
 #include "diagnostic.h"
 #include "tree-dump.h"
 #include "tree-inline.h"
Index: tree-nrv.c
===================================================================
--- tree-nrv.c	(revision 189457)
+++ tree-nrv.c	(working copy)
@@ -27,8 +27,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "basic-block.h"
 #include "tree-pretty-print.h"
 #include "tree-flow.h"
-#include "timevar.h"
-#include "tree-dump.h"
 #include "tree-pass.h"
 #include "langhooks.h"
 #include "flags.h"	/* For "optimize" in gate_pass_return_slot.
Index: hw-doloop.c
===================================================================
--- hw-doloop.c	(revision 189457)
+++ hw-doloop.c	(working copy)
@@ -34,6 +34,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "recog.h"
 #include "target.h"
 #include "hw-doloop.h"
+#include "dumpfile.h"
 
 #ifdef HAVE_doloop_end
 
Index: tracer.c
===================================================================
--- tracer.c	(revision 189457)
+++ tracer.c	(working copy)
@@ -44,7 +44,6 @@
 #include "basic-block.h"
 #include "fibheap.h"
 #include "flags.h"
-#include "timevar.h"
 #include "params.h"
 #include "coverage.h"
 #include "tree-pass.h"
Index: mode-switching.c
===================================================================
--- mode-switching.c	(revision 189457)
+++ mode-switching.c	(working copy)
@@ -33,7 +33,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm_p.h"
 #include "function.h"
 #include "tree-pass.h"
-#include "timevar.h"
 #include "df.h"
 #include "emit-rtl.h"
 
Index: lto-streamer-in.c
===================================================================
--- lto-streamer-in.c	(revision 189457)
+++ lto-streamer-in.c	(working copy)
@@ -42,7 +42,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "except.h"
 #include "debug.h"
 #include "vec.h"
-#include "timevar.h"
 #include "ipa-utils.h"
 #include "data-streamer.h"
 #include "gimple-streamer.h"
Index: print-tree.c
===================================================================
--- print-tree.c	(revision 189457)
+++ print-tree.c	(working copy)
@@ -31,7 +31,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "diagnostic.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
-#include "tree-pass.h"
+#include "dumpfile.h"
 
 /* Define the hash table of nodes already seen.
    Such nodes are not repeated; brief cross-references are used.  */
Index: omp-low.c
===================================================================
--- omp-low.c	(revision 189457)
+++ omp-low.c	(working copy)
@@ -34,7 +34,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "langhooks.h"
 #include "diagnostic-core.h"
 #include "tree-flow.h"
-#include "timevar.h"
 #include "flags.h"
 #include "function.h"
 #include "expr.h"
Index: tree-ssa-loop-manip.c
===================================================================
--- tree-ssa-loop-manip.c	(revision 189457)
+++ tree-ssa-loop-manip.c	(working copy)
@@ -26,10 +26,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm_p.h"
 #include "basic-block.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
-#include "timevar.h"
+#include "dumpfile.h"
 #include "cfgloop.h"
-#include "tree-pass.h"
+#include "tree-pass.h"	/* ??? for TODO_update_ssa but this isn't a pass.  */
 #include "tree-scalar-evolution.h"
 #include "params.h"
 #include "tree-inline.h"
Index: tree-call-cdce.c
===================================================================
--- tree-call-cdce.c	(revision 189457)
+++ tree-call-cdce.c	(working copy)
@@ -28,9 +28,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
 #include "gimple.h"
-#include "tree-dump.h"
 #include "tree-pass.h"
-#include "timevar.h"
 #include "flags.h"
 
 
Index: cgraph.c
===================================================================
--- cgraph.c	(revision 189457)
+++ cgraph.c	(working copy)
@@ -41,7 +41,8 @@ along with GCC; see the file COPYING3.  If not see
 #include "cgraph.h"
 #include "intl.h"
 #include "gimple.h"
-#include "tree-dump.h"
+#include "timevar.h"
+#include "dumpfile.h"
 #include "tree-flow.h"
 #include "value-prof.h"
 #include "except.h"
@@ -53,6 +54,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "cfgloop.h"
 #include "gimple-pretty-print.h"
 
+/* FIXME: Only for PROP_loops, but cgraph shouldn't have to know about this.  */
+#include "tree-pass.h"
+
 static void cgraph_node_remove_callers (struct cgraph_node *node);
 static inline void cgraph_edge_remove_caller (struct cgraph_edge *e);
 static inline void cgraph_edge_remove_callee (struct cgraph_edge *e);
Index: ipa-pure-const.c
===================================================================
--- ipa-pure-const.c	(revision 189457)
+++ ipa-pure-const.c	(working copy)
@@ -47,7 +47,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "gimple.h"
 #include "cgraph.h"
 #include "flags.h"
-#include "timevar.h"
 #include "diagnostic.h"
 #include "gimple-pretty-print.h"
 #include "langhooks.h"
Index: tree-vect-loop-manip.c
===================================================================
--- tree-vect-loop-manip.c	(revision 189457)
+++ tree-vect-loop-manip.c	(working copy)
@@ -27,10 +27,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "ggc.h"
 #include "tree.h"
 #include "basic-block.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
+#include "tree-pass.h"
 #include "cfgloop.h"
 #include "diagnostic-core.h"
 #include "tree-scalar-evolution.h"
Index: tree-ssa-loop-ivcanon.c
===================================================================
--- tree-ssa-loop-ivcanon.c	(revision 189457)
+++ tree-ssa-loop-ivcanon.c	(working copy)
@@ -40,10 +40,8 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "tm_p.h"
 #include "basic-block.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
 #include "cfgloop.h"
 #include "tree-pass.h"
 #include "tree-chrec.h"
Index: tree-vectorizer.c
===================================================================
--- tree-vectorizer.c	(revision 189457)
+++ tree-vectorizer.c	(working copy)
@@ -63,11 +63,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "tree-pretty-print.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
 #include "cfgloop.h"
 #include "tree-vectorizer.h"
 #include "tree-pass.h"
-#include "timevar.h"
 
 /* vect_dump will be set to stderr or dump_file if exist.  */
 FILE *vect_dump;
Index: trans-mem.c
===================================================================
--- trans-mem.c	(revision 189457)
+++ trans-mem.c	(working copy)
@@ -32,7 +32,6 @@
 #include "params.h"
 #include "target.h"
 #include "langhooks.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "cfgloop.h"
 
Index: tree-ssa-alias.c
===================================================================
--- tree-ssa-alias.c	(revision 189457)
+++ tree-ssa-alias.c	(working copy)
@@ -27,18 +27,16 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm_p.h"
 #include "target.h"
 #include "basic-block.h"
-#include "timevar.h"
+#include "timevar.h"	/* for TV_ALIAS_STMT_WALK */
 #include "ggc.h"
 #include "langhooks.h"
 #include "flags.h"
 #include "function.h"
 #include "tree-pretty-print.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "gimple.h"
 #include "tree-flow.h"
 #include "tree-inline.h"
-#include "tree-pass.h"
-#include "convert.h"
 #include "params.h"
 #include "vec.h"
 #include "bitmap.h"
Index: tree-ssa-loop-ivopts.c
===================================================================
--- tree-ssa-loop-ivopts.c	(revision 189457)
+++ tree-ssa-loop-ivopts.c	(working copy)
@@ -69,11 +69,8 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "tm_p.h"
 #include "basic-block.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
-#include "timevar.h"
 #include "cfgloop.h"
 #include "tree-pass.h"
 #include "ggc.h"
Index: ipa-reference.c
===================================================================
--- ipa-reference.c	(revision 189457)
+++ ipa-reference.c	(working copy)
@@ -54,7 +54,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "gimple.h"
 #include "cgraph.h"
 #include "flags.h"
-#include "timevar.h"
 #include "diagnostic.h"
 #include "langhooks.h"
 #include "data-streamer.h"
Index: ipa-cp.c
===================================================================
--- ipa-cp.c	(revision 189457)
+++ ipa-cp.c	(working copy)
@@ -112,10 +112,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree-flow.h"
 #include "tree-pass.h"
 #include "flags.h"
-#include "timevar.h"
 #include "diagnostic.h"
 #include "tree-pretty-print.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "tree-inline.h"
 #include "fibheap.h"
 #include "params.h"
Index: cfgloopmanip.c
===================================================================
--- cfgloopmanip.c	(revision 189457)
+++ cfgloopmanip.c	(working copy)
@@ -23,11 +23,10 @@ along with GCC; see the file COPYING3.  If not see
 #include "coretypes.h"
 #include "tm.h"
 #include "rtl.h"
-#include "hard-reg-set.h"
-#include "obstack.h"
 #include "basic-block.h"
 #include "cfgloop.h"
 #include "tree-flow.h"
+#include "dumpfile.h"
 
 static void copy_loops_to (struct loop **, int,
 			   struct loop *);
Index: df-core.c
===================================================================
--- df-core.c	(revision 189457)
+++ df-core.c	(working copy)
@@ -391,7 +391,6 @@ are write-only operations.
 #include "basic-block.h"
 #include "sbitmap.h"
 #include "bitmap.h"
-#include "timevar.h"
 #include "df.h"
 #include "tree-pass.h"
 #include "params.h"
Index: cfgexpand.c
===================================================================
--- cfgexpand.c	(revision 189457)
+++ cfgexpand.c	(working copy)
@@ -30,13 +30,11 @@ along with GCC; see the file COPYING3.  If not see
 #include "expr.h"
 #include "langhooks.h"
 #include "tree-flow.h"
-#include "timevar.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "tree-pass.h"
 #include "except.h"
 #include "flags.h"
 #include "diagnostic.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "toplev.h"
 #include "debug.h"
Index: bb-reorder.c
===================================================================
--- bb-reorder.c	(revision 189457)
+++ bb-reorder.c	(working copy)
@@ -72,7 +72,6 @@
 #include "rtl.h"
 #include "regs.h"
 #include "flags.h"
-#include "timevar.h"
 #include "output.h"
 #include "fibheap.h"
 #include "target.h"
Index: tree-ssa-phiopt.c
===================================================================
--- tree-ssa-phiopt.c	(revision 189457)
+++ tree-ssa-phiopt.c	(working copy)
@@ -27,16 +27,13 @@ along with GCC; see the file COPYING3.  If not see
 #include "flags.h"
 #include "tm_p.h"
 #include "basic-block.h"
-#include "timevar.h"
 #include "tree-flow.h"
 #include "tree-pass.h"
-#include "tree-dump.h"
 #include "langhooks.h"
 #include "pointer-set.h"
 #include "domwalk.h"
 #include "cfgloop.h"
 #include "tree-data-ref.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "insn-config.h"
 #include "expr.h"
Index: function.c
===================================================================
--- function.c	(revision 189457)
+++ function.c	(working copy)
@@ -61,7 +61,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree-pass.h"
 #include "predict.h"
 #include "df.h"
-#include "timevar.h"
 #include "vecprim.h"
 #include "params.h"
 #include "bb-reorder.h"
Index: ira-emit.c
===================================================================
--- ira-emit.c	(revision 189457)
+++ ira-emit.c	(working copy)
@@ -82,8 +82,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "expr.h"
 #include "recog.h"
 #include "params.h"
-#include "timevar.h"
-#include "tree-pass.h"
 #include "reload.h"
 #include "df.h"
 #include "ira-int.h"
Index: ira.c
===================================================================
--- ira.c	(revision 189457)
+++ ira.c	(working copy)
@@ -374,7 +374,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "expr.h"
 #include "recog.h"
 #include "params.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "output.h"
 #include "except.h"
Index: combine-stack-adj.c
===================================================================
--- combine-stack-adj.c	(revision 189457)
+++ combine-stack-adj.c	(working copy)
@@ -57,7 +57,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "df.h"
 #include "except.h"
 #include "reload.h"
-#include "timevar.h"
 #include "tree-pass.h"
 
 
Index: tree-ssa-phiprop.c
===================================================================
--- tree-ssa-phiprop.c	(revision 189457)
+++ tree-ssa-phiprop.c	(working copy)
@@ -25,12 +25,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "tm_p.h"
 #include "basic-block.h"
-#include "timevar.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
 #include "tree-pass.h"
-#include "tree-dump.h"
 #include "langhooks.h"
 #include "flags.h"
 
Index: config/epiphany/epiphany.c
===================================================================
--- config/epiphany/epiphany.c	(revision 189457)
+++ config/epiphany/epiphany.c	(working copy)
@@ -45,7 +45,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "insn-codes.h"
 #include "ggc.h"
 #include "tm-constrs.h"
-#include "tree-pass.h"
+#include "tree-pass.h"	/* for current_pass */
 
 /* Which cpu we're compiling for.  */
 int epiphany_cpu_type;
Index: config/mn10300/mn10300.c
===================================================================
--- config/mn10300/mn10300.c	(revision 189457)
+++ config/mn10300/mn10300.c	(working copy)
@@ -46,6 +46,7 @@
 #include "df.h"
 #include "opts.h"
 #include "cfgloop.h"
+#include "dumpfile.h"
 
 /* This is used in the am33_2.0-linux-gnu port, in which global symbol
    names are not prefixed by underscores, to tell whether to prefix a
Index: config/c6x/c6x.c
===================================================================
--- config/c6x/c6x.c	(revision 189457)
+++ config/c6x/c6x.c	(working copy)
@@ -51,6 +51,7 @@
 #include "opts.h"
 #include "hw-doloop.h"
 #include "regrename.h"
+#include "dumpfile.h"
 
 /* Table of supported architecture variants.  */
 typedef struct
Index: config/ia64/ia64.c
===================================================================
--- config/ia64/ia64.c	(revision 189457)
+++ config/ia64/ia64.c	(working copy)
@@ -61,6 +61,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "sel-sched.h"
 #include "reload.h"
 #include "opts.h"
+#include "dumpfile.h"
 
 /* This is used for communication between ASM_OUTPUT_LABEL and
    ASM_OUTPUT_LABELREF.  */
Index: config/arm/arm.c
===================================================================
--- config/arm/arm.c	(revision 189457)
+++ config/arm/arm.c	(working copy)
@@ -55,6 +55,7 @@
 #include "libfuncs.h"
 #include "params.h"
 #include "opts.h"
+#include "dumpfile.h"
 
 /* Forward definitions of types.  */
 typedef struct minipool_node    Mnode;
Index: config/rl78/rl78.c
===================================================================
--- config/rl78/rl78.c	(revision 189457)
+++ config/rl78/rl78.c	(working copy)
@@ -47,7 +47,7 @@
 #include "target-def.h"
 #include "langhooks.h"
 #include "rl78-protos.h"
-#include "tree-pass.h"
+#include "dumpfile.h"
 
 static inline bool is_interrupt_func (const_tree decl);
 static inline bool is_brk_interrupt_func (const_tree decl);
Index: config/bfin/bfin.c
===================================================================
--- config/bfin/bfin.c	(revision 189457)
+++ config/bfin/bfin.c	(working copy)
@@ -56,6 +56,7 @@
 #include "sel-sched.h"
 #include "hw-doloop.h"
 #include "opts.h"
+#include "dumpfile.h"
 
 /* A C structure for machine-specific, per-function data.
    This is added to the cfun structure.  */
Index: config/frv/frv.c
===================================================================
--- config/frv/frv.c	(revision 189457)
+++ config/frv/frv.c	(working copy)
@@ -48,6 +48,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "targhooks.h"
 #include "langhooks.h"
 #include "df.h"
+#include "dumpfile.h"
 
 #ifndef FRV_INLINE
 #define FRV_INLINE inline
Index: config/spu/spu.c
===================================================================
--- config/spu/spu.c	(revision 189457)
+++ config/spu/spu.c	(working copy)
@@ -52,6 +52,7 @@
 #include "sbitmap.h"
 #include "timevar.h"
 #include "df.h"
+#include "dumpfile.h"
 
 /* Builtin types, data and prototypes. */
 
Index: config/mep/mep.c
===================================================================
--- config/mep/mep.c	(revision 189457)
+++ config/mep/mep.c	(working copy)
@@ -51,6 +51,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "df.h"
 #include "gimple.h"
 #include "opts.h"
+#include "dumpfile.h"
 
 /* Structure of this file:
 
Index: config/i386/i386.c
===================================================================
--- config/i386/i386.c	(revision 189457)
+++ config/i386/i386.c	(working copy)
@@ -61,6 +61,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "fibheap.h"
 #include "opts.h"
 #include "diagnostic.h"
+#include "dumpfile.h"
 
 enum upper_128bits_state
 {
Index: config/avr/avr-log.c
===================================================================
--- config/avr/avr-log.c	(revision 189457)
+++ config/avr/avr-log.c	(working copy)
@@ -28,7 +28,7 @@
 #include "input.h"
 #include "function.h"
 #include "tm_p.h"
-#include "tree-pass.h"
+#include "tree-pass.h"	/* for current_pass */
 
 /* This file supplies some functions for AVR back-end developers
    with a printf-like interface.  The functions are called through
Index: c-family/c-gimplify.c
===================================================================
--- c-family/c-gimplify.c	(revision 189457)
+++ c-family/c-gimplify.c	(working copy)
@@ -36,7 +36,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "langhooks.h"
 #include "langhooks-def.h"
 #include "flags.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "c-pretty-print.h"
 #include "cgraph.h"
 
Index: c-family/c-ada-spec.c
===================================================================
--- c-family/c-ada-spec.c	(revision 189457)
+++ c-family/c-ada-spec.c	(working copy)
@@ -24,7 +24,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "coretypes.h"
 #include "tm.h"
 #include "tree.h"
-#include "tree-pass.h"	/* For TDI_ada and friends.  */
+#include "dumpfile.h"
 #include "c-ada-spec.h"
 #include "cpplib.h"
 #include "c-pragma.h"
Index: c-family/c-dump.c
===================================================================
--- c-family/c-dump.c	(revision 189457)
+++ c-family/c-dump.c	(working copy)
@@ -26,15 +26,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree-dump.h"
 #include "c-common.h"
 
-/* Dump information common to statements from STMT.  */
-
-void
-dump_stmt (dump_info_p di, const_tree t)
-{
-  if (EXPR_HAS_LOCATION (t))
-    dump_int (di, "line", EXPR_LINENO (t));
-}
-
 /* Dump any C-specific tree codes and attributes of common codes.  */
 
 bool
Index: c/c-decl.c
===================================================================
--- c/c-decl.c	(revision 189457)
+++ c/c-decl.c	(working copy)
@@ -51,7 +51,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "langhooks.h"
 #include "tree-iterator.h"
 #include "diagnostic-core.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "cgraph.h"
 #include "hashtab.h"
 #include "langhooks-def.h"
Index: cp/dump.c
===================================================================
--- cp/dump.c	(revision 189457)
+++ cp/dump.c	(working copy)
@@ -202,6 +202,15 @@ dump_op (dump_info_p di, tree t)
   }
 }
 
+/* Dump information common to statements from STMT.  */
+
+static void
+dump_stmt (dump_info_p di, const_tree t)
+{
+  if (EXPR_HAS_LOCATION (t))
+    dump_int (di, "line", EXPR_LINENO (t));
+}
+
 bool
 cp_dump_tree (void* dump_info, tree t)
 {
Index: cp/optimize.c
===================================================================
--- cp/optimize.c	(revision 189457)
+++ cp/optimize.c	(working copy)
@@ -34,7 +34,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "flags.h"
 #include "langhooks.h"
 #include "diagnostic-core.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "gimple.h"
 #include "tree-iterator.h"
 #include "cgraph.h"
Index: cp/class.c
===================================================================
--- cp/class.c	(revision 189457)
+++ cp/class.c	(working copy)
@@ -35,7 +35,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "target.h"
 #include "convert.h"
 #include "cgraph.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "splay-tree.h"
 #include "pointer-set.h"
 
Index: cp/decl2.c
===================================================================
--- cp/decl2.c	(revision 189457)
+++ cp/decl2.c	(working copy)
@@ -45,7 +45,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "cgraph.h"
 #include "tree-inline.h"
 #include "c-family/c-pragma.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "intl.h"
 #include "gimple.h"
 #include "pointer-set.h"
Index: fortran/f95-lang.c
===================================================================
--- fortran/f95-lang.c	(revision 189457)
+++ fortran/f95-lang.c	(working copy)
@@ -42,7 +42,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "target.h"
 #include "debug.h"
 #include "diagnostic.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "cgraph.h"
 #include "gfortran.h"
 #include "cpp.h"
Index: java/java-gimplify.c
===================================================================
--- java/java-gimplify.c	(revision 189457)
+++ java/java-gimplify.c	(working copy)
@@ -27,7 +27,7 @@ The Free Software Foundation is independent of Sun
 #include "coretypes.h"
 #include "tree.h"
 #include "java-tree.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "gimple.h"
 
 static tree java_gimplify_block (tree);
